> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cria.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a message

> Update a message



## OpenAPI

````yaml /api-reference/openapi/client.json patch /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}
openapi: 3.0.4
info:
  title: CriaChat
  description: This is the API documentation for CriaChat server.
  version: 1.1.0
  termsOfService: https://www.cria.chat/terms-of-service/
  contact:
    email: hello@cria.chat
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.cria.chat/
security: []
tags:
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}:
    parameters:
      - $ref: '#/components/parameters/public_inbox_identifier'
      - $ref: '#/components/parameters/public_contact_identifier'
      - $ref: '#/components/parameters/conversation_id'
      - $ref: '#/components/parameters/message_id'
    patch:
      tags:
        - Messages API
      summary: Update a message
      description: Update a message
      operationId: update-a-message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/public_message_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/public_message'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security: []
components:
  parameters:
    public_inbox_identifier:
      in: path
      name: inbox_identifier
      schema:
        type: string
      required: true
      description: The identifier obtained from API inbox channel
    public_contact_identifier:
      in: path
      name: contact_identifier
      schema:
        type: string
      required: true
      description: The source id of contact obtained on contact create
    conversation_id:
      in: path
      name: conversation_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the conversation
    message_id:
      in: path
      name: message_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the message
  schemas:
    public_message_update_payload:
      type: object
      properties:
        submitted_values:
          type: object
          description: Replies to the Bot Message Types
          properties:
            name:
              type: string
              description: The name of the submiitted value
              example: My Name
            title:
              type: string
              description: The title of the submitted value
              example: My Title
            value:
              type: string
              description: The value of the submitted value
              example: value
            csat_survey_response:
              type: object
              description: The CSAT survey response
              properties:
                feedback_message:
                  type: string
                  description: The feedback message of the CSAT survey response
                  example: Great service!
                rating:
                  type: integer
                  description: The rating of the CSAT survey response
                  example: 5
    public_message:
      type: object
      properties:
        id:
          type: string
          description: Id of the message
        content:
          type: string
          description: Text content of the message
        message_type:
          type: string
          description: Denotes the message type
        content_type:
          type: string
          description: Content type of the message
        content_attributes:
          type: string
          description: Additional content attributes of the message
        created_at:
          type: string
          description: Created at time stamp of the message
        conversation_id:
          type: string
          description: Conversation Id of the message
        attachments:
          type: array
          items:
            type: object
          description: Attachments if any
        sender:
          type: object
          description: Details of the sender
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string

````